apparently our ftello() is somehow broken, and gzip works around that by
poking in stdio internals directly. let it do that for now even if not __sun.
--- gzip-1.8/lib/stdio-impl.h.orig	Tue May 21 13:05:05 2019
+++ gzip-1.8/lib/stdio-impl.h	Tue May 21 13:05:23 2019
@@ -91,7 +91,7 @@
 
 #if defined _IOERR
 
-# if defined __sun && defined _LP64 /* Solaris/{SPARC,AMD64} 64-bit */
+# if (defined(__sun) || defined(__unleashed__)) && defined _LP64 /* Solaris/{SPARC,AMD64} 64-bit */
 #  define fp_ ((struct { unsigned char *_ptr; \
                          unsigned char *_base; \
                          unsigned char *_end; \
